Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.xml.parser
Class AbstractXmlReadHandler

    java.lang.Object
      org.jfree.xml.parser.AbstractXmlReadHandler

All Implemented Interfaces:
  XmlReadHandler

Direct Known Subclasses:
  Base64ReadHandler, BasicStrokeReadHandler, ColorReadHandler, FontReadHandler, GenericReadHandler, GradientPaintReadHandler, InsetsReadHandler, ListReadHandler, NullReadHandler, ObjectRefHandler, Point2DReadHandler, Rectangle2DReadHandler, RenderingHintsReadHandler, RenderingHintValueReadHandler, StringReadHandler

    public abstract class AbstractXmlReadHandler

extends java.lang.Object
implements XmlReadHandler

A base class for implementing an `XmlReadHandler`.

Constructor Summary
`AbstractXmlReadHandler()` Creates a new handler.

Method Summary
`void` | `characters(char[] ch, int start, int length)` This method is called to process the character data between element tags.
`protected void` | `doneParsing()` Done parsing.
`void` | `endElement(java.lang.String tagName)` This method is called at the end of an element.
`protected XmlReadHandler` | `getHandlerForChild(java.lang.String tagName, org.xml.sax.Attributes atts)` Returns the handler for a child element.
`RootXmlReadHandler` | `getRootHandler()` Returns the root handler for the parsing.
`java.lang.String` | `getTagName()` Returns the tag name.
`void` | `init(RootXmlReadHandler rootHandler, java.lang.String tagName)` Initialises the handler.
`void` | `startElement(java.lang.String tagName, org.xml.sax.Attributes attrs)` This method is called at the start of an element.
`protected void` | `startParsing(org.xml.sax.Attributes attrs)` Starts parsing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.xml.parser.XmlReadHandler
`getObject`

Constructor Detail

### AbstractXmlReadHandler

    public AbstractXmlReadHandler()

  Creates a new handler.

Method Detail

### init

    public void init(RootXmlReadHandler rootHandler,
                     java.lang.String tagName)

  Initialises the handler.

  Specified by:
    `init` in interface `XmlReadHandler`
  Parameters:
    `rootHandler` - the root handler.
    `tagName` - the tag name.

### startElement

    public final void startElement(java.lang.String tagName,
                                   org.xml.sax.Attributes attrs)
                            throws XmlReaderException,
                                   org.xml.sax.SAXException

  This method is called at the start of an element.

  Specified by:
    `startElement` in interface `XmlReadHandler`
  Parameters:
    `tagName` - the tag name.
    `attrs` - the attributes.
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.
    `XmlReaderException` - if there is a reader error.

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  This method is called to process the character data between element tags.

  Specified by:
    `characters` in interface `XmlReadHandler`
  Parameters:
    `ch` - the character buffer.
    `start` - the start index.
    `length` - the length.
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.

### endElement

    public final void endElement(java.lang.String tagName)
                          throws org.xml.sax.SAXException

  This method is called at the end of an element.

  Specified by:
    `endElement` in interface `XmlReadHandler`
  Parameters:
    `tagName` - the tag name.
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.

### startParsing

    protected void startParsing(org.xml.sax.Attributes attrs)
                         throws org.xml.sax.SAXException,
                                XmlReaderException

  Starts parsing.

  Parameters:
    `attrs` - the attributes.
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.
    `XmlReaderException` - ?

### doneParsing

    protected void doneParsing()
                        throws org.xml.sax.SAXException,
                               XmlReaderException

  Done parsing.

  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.
    `XmlReaderException` - if there is a reader error.

### getHandlerForChild

    protected XmlReadHandler getHandlerForChild(java.lang.String tagName,
                                                org.xml.sax.Attributes atts)
                                         throws XmlReaderException,
                                                org.xml.sax.SAXException

  Returns the handler for a child element.

  Parameters:
    `tagName` - the tag name.
    `atts` - the attributes.
  Returns:
    the handler or null, if the tagname is invalid.
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.
    `XmlReaderException` - if there is a reader error.

### getTagName

    public java.lang.String getTagName()

  Returns the tag name.

  Returns:
    the tag name.

### getRootHandler

    public RootXmlReadHandler getRootHandler()

  Returns the root handler for the parsing.

  Returns:
    the root handler.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD